forum/urls.py
from django.urls import path

from . import views

app_name = 'forum'

urlpatterns = [
    path('', views.forum, name='forum1'),
    path('category/<str:category>/', views.forum, name='forum2'),
    path('addPost/', views.editPost, name='addPost'),
    path('editPost/<int:pk>/', views.editPost, name='editPost'),
    path('posts/<int:pk>/', views.readPost, name='readPost'),
    path('editComment/<int:pk>/', views.editComment, name='editComment'),
    path('addReply/<int:pkC>/', views.editReply, name='addReply'),
    path('editReply/<int:pkC>/<int:pkR>/', views.editReply, name='editReply'),
    path('addReplyReply//<int:pkR>/', views.editReply, name='addReplyReply'),
    path('profil/<str:username>/', views.profil, name='profil'),
    path('profil/<str:username>/warnaRandom/', views.warnaRandom, name='warnaRandom'),
    path('confirmDeletePost/<int:pk>/', views.confirmDeletePost, name='confirmDeletePost'),
    path('deletePost/<int:pk>/', views.deletePost, name='deletePost'),
    path('confirmDeleteComment/<int:pk>/', views.confirmDeleteComment, name='confirmDeleteComment'),
    path('deleteComment/<int:pk>/', views.deleteComment, name='deleteComment'),
    path('confirmDeleteReply/<int:pk>/', views.confirmDeleteReply, name='confirmDeleteReply'),
    path('deleteReply/<int:pk>/', views.deleteReply, name='deleteReply'),
    path('loadMore/', views.loadMore),
    path('category/<str:category>/loadMore/', views.loadMore),
    path('search/', views.search),
    path('category/<str:category>/search/', views.search),
]

hoax_destroyer/urls.py
from django.urls import path

from . import views

app_name = 'hoax_destroyer'

urlpatterns = [
    path('start/', views.start, name='start'),
    path('soal1/', views.soal1, name='soal1'),
    path('hasil1/<int:opsiid>/<int:nilaiid>/', views.hasil1, name='hasil1'),
    path('soal2/<int:nilaiid>/', views.soal2, name='soal2'),
    path('hasil2/<int:opsiid>/<int:nilaiid>/', views.hasil2, name='hasil2'),
    path('soal3/<int:nilaiid>/', views.soal3, name='soal3'),
    path('hasil3/<int:opsiid>/<int:nilaiid>/', views.hasil3, name='hasil3'),
    path('soal4/<int:nilaiid>/', views.soal4, name='soal4'),
    path('hasil4/<int:opsiid>/<int:nilaiid>/', views.hasil4, name='hasil4'),
    path('soal5/<int:nilaiid>/', views.soal5, name='soal5'),
    path('hasil5/<int:opsiid>/<int:nilaiid>/', views.hasil5, name='hasil5'),
    path('score/<int:nilaiid>/', views.score, name='score'),
    #path('saranPertanyaan/', views.saranPertanyaan, name='saranPertanyaan'),
    path('saranPertanyaan/', views.saranPertanyaan, name='saranPertanyaan'),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('about/', views.about, name='about'),
]

tk1ppwb12/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('userAuth/', include('userAuth.urls')),
    path('userAuth/', include('django.contrib.auth.urls')),
    path('forum/', include('forum.urls')),
    path('HoaxSpreader/',include('HoaxSpreader.urls')),
    path('TestPengetahuan/',include('TestPengetahuan.urls')),
    path('hoax_destroyer/', include('hoax_destroyer.urls')),
    path('TestHoax/', include('TestHoax.urls')),
]

userAuth/urls.py
from django.urls import path
from .views import *
from . import views
from django.contrib.auth import views as auth_views
from .forms import AccountLoginForm

app_name = 'userAuth'

urlpatterns = [
    path('signup/', Signup.as_view(), name='signup'),
    path('login/', auth_views.LoginView.as_view(authentication_form=AccountLoginForm), name='login'),
]

hoax_destroyer/models.py
from django.db import models

# Create your models here.

class Pertanyaan(models.Model):
    nomor = models.IntegerField(default=1)
    pertanyaan = models.CharField(max_length=300)

class Opsi(models.Model):
    kode = models.CharField(max_length=20)
    pilihan = models.CharField(max_length=300)
    correct = models.BooleanField(default=False)

class Nilai(models.Model):
    nilai = models.IntegerField(default=0)

class Saran(models.Model):
    pertanyaan = models.CharField(max_length=300)
    opsi1 = models.CharField(max_length=300)
    opsi2 = models.CharField(max_length=300)
    opsi3 = models.CharField(max_length=300)
    opsi4 = models.CharField(max_length=300)

hoax_destroyer/forms.py
from django import forms
from .models import *

class detail_pertanyaan(forms.ModelForm):
    class Meta:
        model = Saran
        fields = ['pertanyaan', 'opsi1', 'opsi2', 'opsi3', 'opsi4']
    input_attrs1 = {
        'type' : 'text',
        'placeholder' : 'pertanyaan',
        'style' : 'background-color: #E8EEF2'
    }
    input_attrs2 = {
        'type' : 'text',
        'placeholder' : 'jawaban benar',
        'style' : 'background-color: #E8EEF2'
    }
    input_attrs3 = {
        'type' : 'text',
        'placeholder' : 'Jawaban salah',
        'style' : 'background-color: #E8EEF2'
    }
    pertanyaan = forms.CharField(label='Pertanyaan', max_length=100, widget=forms.Textarea(attrs=input_attrs1))
    opsi1 = forms.CharField(label='Opsi 1', max_length=100, widget=forms.TextInput(attrs=input_attrs2))
    opsi2 = forms.CharField(label='Opsi 2', max_length=100, widget=forms.TextInput(attrs=input_attrs3))
    opsi3 = forms.CharField(label='Opsi 3', max_length=100, widget=forms.TextInput(attrs=input_attrs3))
    opsi4 = forms.CharField(label='Opsi 4', max_length=100, widget=forms.TextInput(attrs=input_attrs3))

hoax_destroyer/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect
from .models import *
from .forms import *
from django.http import JsonResponse

def start(request):
    Pertanyaan.objects.all().delete()
    Opsi.objects.all().delete()
    Nilai.objects.all().delete()
    Soal1 = Pertanyaan.objects.create(nomor=1,pertanyaan="Menyemprotkan seluruh tubuh dengan alkohol dapat membunuh virus corona secara efektif. Apakah pernyataan tersebut benar? ")
    Soal2 = Pertanyaan.objects.create(nomor=2,pertanyaan="Thermo Gun, alat untuk mengukur suhu tubuh, ... untuk otak karena menggunakan teknologi ...")
    Soal3 = Pertanyaan.objects.create(nomor=3,pertanyaan="Berikut ini adalah masker yang TIDAK dianjurkan oleh pemerintah, yakni ...")
    Soal4 = Pertanyaan.objects.create(nomor=4,pertanyaan="Manakah prosedur pemakaian masker yang salah di bawah ini?")
    Soal5 = Pertanyaan.objects.create(nomor=5,pertanyaan="Cara berikut ini dianggap ampuh untuk mencegah terkena virus corona, kecuali...")
    Soal1.save()
    Soal2.save()
    Soal3.save()
    Soal4.save()
    Soal5.save()

    opsia1 =	Opsi.objects.create(kode="a1",pilihan="Salah, karena cara tersebut dapat membahayakan tubuh pengguna",correct=True)
    opsib1 = Opsi.objects.create(kode="b1",pilihan="Salah, karena kita tidak perlu menyemprotkan seluruh tubuh, melainkan hanya bagian-bagian tertentu saja",correct=False)
    opsic1 = Opsi.objects.create(kode="c1",pilihan="Benar, namun perlu menggunakan alkohol dengan kadar 90%",correct=False)
    opsid1 = Opsi.objects.create(kode="d1",pilihan="Benar, cara tersebut tidak boleh dilakukan setiap hari",correct=False)
    opsia1.save()
    opsib1.save()
    opsic1.save()
    opsid1.save()

    opsia2 = Opsi.objects.create(kode="a2",pilihan="tidak berbahaya, laser",correct=False)
    opsib2 = Opsi.objects.create(kode="b2",pilihan="berbahaya, inframerah",correct=False)
    opsic2 = Opsi.objects.create(kode="c2",pilihan="tidak berbahaya, inframerah",correct=True)
    opsid2 = Opsi.objects.create(kode="d2",pilihan="berbahaya, laser",correct=False)
    opsia2.save()
    opsib2.save()
    opsic2.save()
    opsid2.save()

    opsia3 = Opsi.objects.create(kode="a3",pilihan="Masker kain 3 lapis",correct=False)
    opsib3 = Opsi.objects.create(kode="b3",pilihan="Masker bedah",correct=False)
    opsic3 = Opsi.objects.create(kode="c3",pilihan="Masker N95",correct=False)
    opsid3 = Opsi.objects.create(kode="d3",pilihan="Masker Scuba",correct=True)
    opsia3.save()
    opsib3.save()
    opsic3.save()
    opsid3.save()

    opsia4 = Opsi.objects.create(kode="a4",pilihan="Buang masker ke tempat sampah, lalu cuci tangan",correct=False)
    opsib4 = Opsi.objects.create(kode="b4",pilihan="Hindari menyentuh masker saat digunakan",correct=False)
    opsic4 = Opsi.objects.create(kode="c4",pilihan="Pasang masker untuk menutupi daerah hidung",correct=True)
    opsid4 = Opsi.objects.create(kode="d4",pilihan="Mencuci tangan sebelum memasang masker",correct=False)
    opsia4.save()
    opsib4.save()
    opsic4.save()
    opsid4.save()

    opsia5 = Opsi.objects.create(kode="a5",pilihan="Mencuci tangan menggunakan sabun selama 20 detik",correct=False)
    opsib5 = Opsi.objects.create(kode="b5",pilihan="Mandi dengan air bersuhu tinggi setelah berpergian",correct=True)
    opsic5 = Opsi.objects.create(kode="c5",pilihan="Menggunakan masker sesuai arahan pemerintah",correct=False)
    opsid5 = Opsi.objects.create(kode="d5",pilihan="Menjaga jarak ketika berbicara dan sebisa mungkin menghindari kerumunan",correct=False)
    opsia5.save()
    opsib5.save()
    opsic5.save()
    opsid5.save()

    nilai = Nilai.objects.create(nilai=0)
    return render(request,'soalHD/start.html')

def soal1(request):
    soal = Pertanyaan.objects.get(nomor=1)
    nilai = Nilai.objects.create(nilai=0)
    a=Opsi.objects.get(kode="a1")
    b=Opsi.objects.get(kode="b1")
    c=Opsi.objects.get(kode="c1")
    d=Opsi.objects.get(kode="d1")
    context = {
        'soal':soal,
        'nilai' : nilai,
        'a' : a,
        'b' : b,
        'c' : c,
        'd' : d,
    } 
    return render(request,'soalHD/soal1.html',context)

def hasil1(request,opsiid,nilaiid):
    opsisoal = Opsi.objects.get(id=opsiid)
    soal = Pertanyaan.objects.get(nomor=1)
    a=Opsi.objects.get(kode="a1")
    b=Opsi.objects.get(kode="b1")
    c=Opsi.objects.get(kode="c1")
    d=Opsi.objects.get(kode="d1")
    nilai = Nilai.objects.get(id=nilaiid)
    if opsisoal.correct == True:
        nilai.nilai = nilai.nilai+20
        nilai.save()
    context = {
        'soal':soal,
        'nilai' : nilai,
        'a' : a,
        'b' : b,
        'c' : c,
        'd' : d,
    } 
    return render(request,'soalHD/hasil1.html',context)

def soal2(request,nilaiid):
    soal = Pertanyaan.objects.get(nomor=2)
    nilai = Nilai.objects.get(id=nilaiid)
    a=Opsi.objects.get(kode="a2")
    b=Opsi.objects.get(kode="b2")
    c=Opsi.objects.get(kode="c2")
    d=Opsi.objects.get(kode="d2")
    context = {
        'soal':soal,
        'nilai' : nilai,
        'a' : a,
        'b' : b,
        'c' : c,
        'd' : d,
    } 
    return render(request,'soalHD/soal2.html',context)

def hasil2(request,opsiid,nilaiid):
    opsisoal = Opsi.objects.get(id=opsiid)
    nilai = Nilai.objects.get(id=nilaiid)
    soal = Pertanyaan.objects.get(nomor=2)
    a=Opsi.objects.get(kode="a2")
    b=Opsi.objects.get(kode="b2")
    c=Opsi.objects.get(kode="c2")
    d=Opsi.objects.get(kode="d2")
    if opsisoal.correct == True:
        nilai.nilai = nilai.nilai+20
        nilai.save()
    context = {
        'soal':soal,
        'nilai' : nilai,
        'a' : a,
        'b' : b,
        'c' : c,
        'd' : d,
    } 
    return render(request,'soalHD/hasil2.html',context)

def soal3(request,nilaiid):
    soal = Pertanyaan.objects.get(nomor=3)
    nilai = Nilai.objects.get(id=nilaiid)
    a=Opsi.objects.get(kode="a3")
    b=Opsi.objects.get(kode="b3")
    c=Opsi.objects.get(kode="c3")
    d=Opsi.objects.get(kode="d3")
    context = {
        'soal':soal,
        'nilai' : nilai,
        'a' : a,
        'b' : b,
        'c' : c,
        'd' : d,
    }
    return render(request,'soalHD/soal3.html',context)

def hasil3(request,opsiid,nilaiid):
    opsisoal = Opsi.objects.get(id=opsiid)
    nilai = Nilai.objects.get(id=nilaiid)
    soal = Pertanyaan.objects.get(nomor=3)
    a=Opsi.objects.get(kode="a3")
    b=Opsi.objects.get(kode="b3")
    c=Opsi.objects.get(kode="c3")
    d=Opsi.objects.get(kode="d3")
    if opsisoal.correct == True:
        nilai.nilai = nilai.nilai+20
        nilai.save()
    context = {
        'soal':soal,
        'nilai' : nilai,
        'a' : a,
        'b' : b,
        'c' : c,
        'd' : d,
    }
    return render(request,'soalHD/hasil3.html',context)

def soal4(request,nilaiid):
    soal = Pertanyaan.objects.get(nomor=4)
    nilai = Nilai.objects.get(id=nilaiid)
    a=Opsi.objects.get(kode="a4")
    b=Opsi.objects.get(kode="b4")
    c=Opsi.objects.get(kode="c4")
    d=Opsi.objects.get(kode="d4")
    context = {
        'soal':soal,
        'nilai' : nilai,
        'a' : a,
        'b' : b,
        'c' : c,
        'd' : d,
    }
    return render(request,'soalHD/soal4.html',context)

def hasil4(request,opsiid,nilaiid):
    opsisoal = Opsi.objects.get(id=opsiid)
    nilai = Nilai.objects.get(id=nilaiid)
    soal = Pertanyaan.objects.get(nomor=4)
    a=Opsi.objects.get(kode="a4")
    b=Opsi.objects.get(kode="b4")
    c=Opsi.objects.get(kode="c4")
    d=Opsi.objects.get(kode="d4")
    if opsisoal.correct == True:
        nilai.nilai = nilai.nilai+20
        nilai.save()
    context = {
        'soal':soal,
        'nilai' : nilai,
        'a' : a,
        'b' : b,
        'c' : c,
        'd' : d,
    }
    return render(request,'soalHD/hasil4.html',context)

def soal5(request,nilaiid):
    soal = Pertanyaan.objects.get(nomor=5)
    nilai = Nilai.objects.get(id=nilaiid)
    a=Opsi.objects.get(kode="a5")
    b=Opsi.objects.get(kode="b5")
    c=Opsi.objects.get(kode="c5")
    d=Opsi.objects.get(kode="d5")
    context = {
        'soal':soal,
        'nilai' : nilai,
        'a' : a,
        'b' : b,
        'c' : c,
        'd' : d,
    }
    return render(request,'soalHD/soal5.html',context)

def hasil5(request,opsiid,nilaiid):
    opsisoal = Opsi.objects.get(id=opsiid)
    nilai = Nilai.objects.get(id=nilaiid)
    soal = Pertanyaan.objects.get(nomor=5)
    a=Opsi.objects.get(kode="a5")
    b=Opsi.objects.get(kode="b5")
    c=Opsi.objects.get(kode="c5")
    d=Opsi.objects.get(kode="d5")
    if opsisoal.correct == True:
        nilai.nilai = nilai.nilai+20
        nilai.save()
    context = {
        'soal': soal,
        'nilai' : nilai,
        'a' : a,
        'b' : b,
        'c' : c,
        'd' : d,
    }
    return render(request,'soalHD/hasil5.html',context)

def score(request,nilaiid):
    nilai = Nilai.objects.get(id=nilaiid)
    context={
        'nilai': nilai.nilai,
    }
    return render(request,'soalHD/score.html',context)

def saranPertanyaan(request):
    form = detail_pertanyaan(request.POST or None)
    response = {}
    if request.is_ajax():
        if (form.is_valid and request.method == 'POST'):
            form.save()
            response['pertanyaan'] = form.cleaned_data.get('pertanyaan')
            response['status'] = 'ok'
            return JsonResponse(response)
    context={
        'form': form
    }
    return render(request,'soalHD/saran.html',context)

"""def saranPertanyaan(request):
    form = detail_pertanyaan()
    context={
        'form': form
    }
    return render(request,'soalHD/saran.html',context)"""

hoax_destroyer/templates/soalHD/hasil1.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hoax Destroyer</title>
<link rel="stylesheet" href="{% static 'css/mystyle.css' %}" />
{% endblock meta %}

{% block content %}
    <div class="container">
        <div id="question-container">
	    <div id="number" style="text-align: center; color: #010043;"></div>
            <div id="question" class="question">{{ soal.pertanyaan }}</div>
	    <div id="answer-buttons" class="btn-grid">
		    <div class="temp-btn">
			<button class="btn2 correct" style="text-align: center; border-radius: 50%; width: 5%"><p>a</p></button>
			<button class="btn2 correct" style="text-align: left; border-radius: 13px; width: 92%; margin-left: 3%">{{ a.pilihan }}</button>
		    </div>
		    <div class="temp-btn">
			<button class="btn2 wrong" style="text-align: center; border-radius: 50%; width: 5%"><p>b</p></button>
			<button class="btn2 wrong" style="text-align: left; border-radius: 13px; width: 92%; margin-left: 3%">{{ b.pilihan }}</button>
		    </div>
		    <div class="temp-btn">
			<button class="btn2 wrong" style="text-align: center; border-radius: 50%; width: 5%"><p>c</p></button>
			<button class="btn2 wrong" style="text-align: left; border-radius: 13px; width: 92%; margin-left: 3%">{{ c.pilihan }}</button>
		    </div>
		    <div class="temp-btn">
			<button class="btn2 wrong" style="text-align: center; border-radius: 50%; width: 5%"><p>d</p></button>
			<button class="btn2 wrong" style="text-align: left; border-radius: 13px; width: 92%; margin-left: 3%">{{ d.pilihan }}</button>
		    </div>
            </div>
	</div>
	<div class="controls">
	    <button onclick="location.href='{% url 'hoax_destroyer:soal2' nilaiid=nilai.id %}'" class="next-btn btn1">Next</button>
	</div>
    </div>
{% endblock content %}

hoax_destroyer/templates/soalHD/hasil2.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hoax Destroyer</title>
<link rel="stylesheet" href="{% static 'css/mystyle.css' %}" />
{% endblock meta %}

{% block content %}
    <div class="container">
        <div id="question-container">
	    <div id="number" style="text-align: center; color: #010043;"></div>
            <div id="question" class="question">{{ soal.pertanyaan }}</div>
	    <div id="answer-buttons" class="btn-grid">
		    <div class="temp-btn">
			<button class="btn2 wrong" style="text-align: center; border-radius: 50%; width: 5%"><p>a</p></button>
			<button class="btn2 wrong" style="text-align: left; border-radius: 13px; width: 92%; margin-left: 3%">{{ a.pilihan }}</button>
		    </div>
		    <div class="temp-btn">
			<button class="btn2 wrong" style="text-align: center; border-radius: 50%; width: 5%"><p>b</p></button>
			<button class="btn2 wrong" style="text-align: left; border-radius: 13px; width: 92%; margin-left: 3%">{{ b.pilihan }}</button>
		    </div>
		    <div class="temp-btn">
			<button class="btn2 correct" style="text-align: center; border-radius: 50%; width: 5%"><p>c</p></button>
			<button class="btn2 correct" style="text-align: left; border-radius: 13px; width: 92%; margin-left: 3%">{{ c.pilihan }}</button>
		    </div>
		    <div class="temp-btn">
			<button class="btn2 wrong" style="text-align: center; border-radius: 50%; width: 5%"><p>d</p></button>
			<button class="btn2 wrong" style="text-align: left; border-radius: 13px; width: 92%; margin-left: 3%">{{ d.pilihan }}</button>
		    </div>
            </div>
	</div>
	<div class="controls">
	    <button onclick="location.href='{% url 'hoax_destroyer:soal3' nilaiid=nilai.id %}'" class="next-btn btn1">Next</button>
	</div>
    </div>
{% endblock content %}

hoax_destroyer/templates/soalHD/hasil3.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hoax Destroyer</title>
<link rel="stylesheet" href="{% static 'css/mystyle.css' %}" />
{% endblock meta %}

{% block content %}
    <div class="container">
        <div id="question-container">
	    <div id="number" style="text-align: center; color: #010043;"></div>
            <div id="question" class="question">{{ soal.pertanyaan }}</div>
	    <div id="answer-buttons" class="btn-grid">
		    <div class="temp-btn">
			<button class="btn2 wrong" style="text-align: center; border-radius: 50%; width: 5%"><p>a</p></button>
			<button class="btn2 wrong" style="text-align: left; border-radius: 13px; width: 92%; margin-left: 3%">{{ a.pilihan }}</button>
		    </div>
		    <div class="temp-btn">
			<button class="btn2 wrong" style="text-align: center; border-radius: 50%; width: 5%"><p>b</p></button>
			<button class="btn2 wrong" style="text-align: left; border-radius: 13px; width: 92%; margin-left: 3%">{{ b.pilihan }}</button>
		    </div>
		    <div class="temp-btn">
			<button class="btn2 wrong" style="text-align: center; border-radius: 50%; width: 5%"><p>c</p></button>
			<button class="btn2 wrong" style="text-align: left; border-radius: 13px; width: 92%; margin-left: 3%">{{ c.pilihan }}</button>
		    </div>
		    <div class="temp-btn">
			<button class="btn2 correct" style="text-align: center; border-radius: 50%; width: 5%"><p>d</p></button>
			<button class="btn2 correct" style="text-align: left; border-radius: 13px; width: 92%; margin-left: 3%">{{ d.pilihan }}</button>
		    </div>
            </div>
	</div>
	<div class="controls">
	    <button onclick="location.href='{% url 'hoax_destroyer:soal4' nilaiid=nilai.id %}'" class="next-btn btn1">Next</button>
	</div>
    </div>
{% endblock content %}

hoax_destroyer/templates/soalHD/saran.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hoax Destroyer</title>
<link rel="stylesheet" href="{% static 'css/mystyle.css' %}" />
<!-- jquery -->
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<!-- custom js-->
<script src={% static 'js/saran.js' %} defer></script>
{% endblock meta %}

{% block content %}
    <div class="container">
	<div class="controls">
		<div id="alert-box"></div>
	    <form id="p-form" autocomplete="off" style='color: black'>
            	{% csrf_token %}
	        <table>
	            {{ form.as_table }}
   	        </table>
			</br>
	    	<button type="submit" class="btn btn-primary">Send</button>
		</form>
	</div>
    </div>
{% endblock content %}

hoax_destroyer/templates/soalHD/score.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hoax Destroyer</title>
<link rel="stylesheet" href="{% static 'css/mystyle.css' %}" />
{% endblock meta %}

{% block content %}
    <div class="container">
	<div class="controls">
	    <div id="scoreContainer"><p>Your score : {{ nilai }}/100</p></div>
	</div>
        <div class="new-btn">
	    <button onclick="location.href='{% url 'main:home' %}'" id="exit-btn" class="start-btn btn1">Exit</button>
    	    <button onclick="location.href='{% url 'hoax_destroyer:soal1' %}'" class="start-btn btn1">Restart</button>
	    <button onclick="location.href='{% url 'hoax_destroyer:saranPertanyaan' %}'" id="exit-btn" class="start-btn btn1" style="min-width: 350px">Tambah Pertanyaan</button>
    	    <button onclick="location.href='{% url 'forum:forum1' %}'" id="forum-btn" class="start-btn btn1">Go To Forum</button>
       </div>
    </div>
{% endblock content %}

hoax_destroyer/templates/soalHD/start.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hoax Destroyer</title>
<link rel="stylesheet" href="{% static 'css/mystyle.css' %}" />
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
	<script>
		$(document).ready(function(){
			$(".accordion_header").click(function(){
        if($(this).hasClass("active")){
          $(this).removeClass("active"); 
        }
        else{
          $(".accordion_header").removeClass("active");
          $(this).addClass("active");
        }
			});
		});
	</script>
{% endblock meta %}

{% block content %}
    <div class="container">
        {% if user.is_authenticated %}
        <div class="wrapper">
            <div class="accordion_wrap accordion_1">
              <div class="accordion_header">
                About
              </div>
              <div class="accordion_body">
                <p>Hoax Destroyer adalah permainan menemukan informasi yang asli diantara hoaks-hoaks atau isu-isu miring yang tengah beredar luas di masyarakat Indonesia mengenai COVID-19</p>
              </div>
            </div>
            <div class="accordion_wrap accordion_2">
              <div class="accordion_header">
                Rules
              </div>
              <div class="accordion_body">
                 <p>Pemain akan diberikan 5 pertanyaan. Setiap pertanyaan yang benar, akan mendapat 20 poin dan yang salah tidak akan mendapat poin</p>
              </div>
            </div>
            <div class="accordion_wrap accordion_3">
              <div class="accordion_header">
                Features
              </div>
              <div class="accordion_body">
                <p>Pemain dapat melihat nilai akhir dari permainan di ujung sesi serta pemain juga dapat menambahkan pertanyaan pada form yang telah disediakan. Pertanyaan tersebut nantinya akan diperiksa terlebih dahulu, lalu kemudian dapat ditambahkan ke dalam soal baru yang akan ditampilkan</p>
              </div>
            </div>
            <div class="new-btn">
            <button onclick="location.href='{% url 'hoax_destroyer:soal1' %}'" class="start-btn btn1">Start</button>
            </div>
        </div>
        {% else %}
        <h1 style="color: #03008F">Sepertinya kamu belum login...</h1>

        <div class="new-btn">
            <button onclick="location.href='{% url 'userAuth:login' %}'" class="start-btn btn1">Login</button>
            </div>
        {% endif %}
    </div>
{% endblock content %}